pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType > Struct Template Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Types

typedef list_property_begin_callback_type< SizeType, ScalarType >::type | list_property_begin_callback_type
typedef list_property_element_callback_type< SizeType, ScalarType >::type | list_property_element_callback_type
typedef list_property_end_callback_type< SizeType, ScalarType >::type | list_property_end_callback_type
typedef boost::function< boost::tuple< list_property_begin_callback_type, list_property_element_callback_type, list_property_end_callback_type >const std::string &, const std::string &)> | type

## Detailed Description

### template<typename SizeType, typename ScalarType>
struct pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >

Definition at line 194 of file ply_parser.h.

## Member Typedef Documentation

template<typename SizeType, typename ScalarType>

typedef list_property_begin_callback_type<SizeType, ScalarType>::type pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_begin_callback_type

Definition at line 196 of file ply_parser.h.

template<typename SizeType, typename ScalarType>

typedef list_property_element_callback_type<SizeType, ScalarType>::type pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_element_callback_type

Definition at line 197 of file ply_parser.h.

template<typename SizeType, typename ScalarType>

typedef list_property_end_callback_type<SizeType, ScalarType>::type pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_end_callback_type

Definition at line 198 of file ply_parser.h.

template<typename SizeType, typename ScalarType>

typedef boost::function< boost::tuple< list_property_begin_callback_type, list_property_element_callback_type, list_property_end_callback_type >const std::string&, const std::string&)> pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::type

Definition at line 204 of file ply_parser.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/ply/ply_parser.h